--[[ 

classbarframe created

set up basic frame
location
texture

frame objects:
	debuff object 	-> countdown timer
	buff object 	-> countdown timer
	holy power		-> texture
*	runes 			-> countdown timer 
					-> texture
					-> rune type
	soulshard obj.	-> texture
	combo pt. obj.	-> text
	eclipse bar		-> texture 
	
--]]
FusionHUDRuneObject = {};
FusionHUDCooldownObject = {};

FusionHUDRuneObject.__index = FusionHUDRuneObject;
FusionHUDCooldownObject.__index = FusionHUDCooldownObject;

function FusionHUDRuneObject:New()
	local self = {};
	setmetatable(self, FusionHUDRuneObject);
	self = CreateFrame("Frame", nil, FusionHUDClassBar.frame);
	self:SetHeight(FusionHUDClassBar.height);
	self:SetWidth(FusionHUDClassBar.height);
	self.runeID = 0;
	self.onCooldown = false;
	self.cooldownFrame = FusionHUDCooldownObject:New(self);
	self.texture = self:CreateTexture(nil, "BACKGROUND");
	self.texture:SetAllPoints(self);
	return self
end

function FusionHUDCooldownObject:New(parent)
	local self = {};
	setmetatable(self, FusionHUDCooldownObject);
	self = CreateFrame("Frame", nil, parent);
	self.text = self:CreateFontString(nil, "HIGH");
	self.text:SetFont("Interface\\AddOns\\FusionHUD\\Fonts\\DroidSans.ttf", math.floor(parent:GetHeight() * .6), "OUTLINE");
	self.text:SetPoint("CENTER", parent, "CENTER", 0, 0);
	self.text:SetHeight(FusionHUDClassBar.height);
	self.text:SetWidth(FusionHUDClassBar.width);
	self.text:SetJustifyH("CENTER");
	self.text:SetJustifyV("CENTER");
	self.lastUpdateClock = 0;
	return self
end
		